﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[]   xValueArray = DataGen.Range(-5, 6);
            double[]   yValueArray = DataGen.Range(-5, 6);
            Vector2[,] vectorArray = new Vector2[xValueArray.Length, yValueArray.Length];

            for(int i = 0; i < xValueArray.Length; i++)
            {
                for(int j = 0; j < yValueArray.Length; j++)
                {
                    double slope     = -xValueArray[i];
                    double magnitude = Math.Abs(xValueArray[i]);
                    double angle     = Math.Atan(slope);

                    vectorArray[i, j] = new Vector2(Math.Cos(angle) * magnitude, Math.Sin(angle) * magnitude);
                }
            }

            plot.AddVectorField(vectorArray, xValueArray, yValueArray);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}